---
title: Cloud-Init
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/features/cloud-init
description: Update Cloud-Init user data on your Vultr VX1™ Cloud Compute instance using the Vultr Console or API to automate configuration.
publish_date: 2025-11-19T14:25:34.622072Z
last_updated: 2026-05-26T18:52:43.222616Z
---

# How to Update Cloud-Init User Data on a Vultr VX1™ Cloud Compute Instance

Cloud-Init enables the automatic initialization and configuration of instances during the initial boot phase. It runs user data scripts to customize an instance, install applications, and configure specific packages or services.

Follow this guide to update Cloud-Init user data on a Vultr VX1™  Cloud Compute instance using the Vultr Console, or API.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open its management page.
    1. Navigate to the **User-Data** tab.
    1. Enter your script or cloud config in the **Cloud-Init User-Data** field.
    1. Click **Update** to apply the changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to update the instance's Cloud-Init user data.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X PATCH \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "user_data" : "<cloud-init-data>"
          }'
        ```

        If successful, you receive a `200` status code response.